FOR TIPS, gUIDES & TUTORIALS

subscribe to our Youtube

GO TO YOUTUBE

14455 questions

17168 answers

28195 comments

0 members

We are migrating to our new platform at https://community.teltonika.lt. Moving forward, you can continue discussions on this new platform. This current platform will be temporarily maintained for reference purposes.
0 votes
676 views 2 comments
by anonymous

Hi

I am following SDK instructions https://wiki.teltonika-networks.com/view/RUTX_Software_Development_Kit_instructions

Ubuntu 16.04

root@teltonika:~/RUTX_R# ./scripts/feeds update -a

Updating feed 'packages' from 'https://git.openwrt.org/feed/packages.git^90af10d01579425369bd474051b6d3ddaf32a7e3' ...

Create index file './feeds/packages.index'

Checking 'working-make'... ok.

Checking 'case-sensitive-fs'... ok.

Checking 'proper-umask'... ok.

Checking 'gcc'... failed.

Checking 'working-gcc'... ok.

Checking 'g++'... failed.

Checking 'working-g++'... ok.

Checking 'ncurses'... ok.

Checking 'perl-thread-queue'... ok.

Checking 'tar'... ok.

Checking 'find'... ok.

Checking 'bash'... ok.

Checking 'patch'... ok.

Checking 'diff'... ok.

Checking 'cp'... ok.

Checking 'seq'... ok.

Checking 'awk'... ok.

Checking 'grep'... ok.

Checking 'getopt'... ok.

Checking 'stat'... ok.

Checking 'unzip'... ok.

Checking 'bzip2'... ok.

Checking 'wget'... ok.

Checking 'perl'... ok.

Checking 'python3-cleanup'... ok.

Checking 'python'... ok.

Checking 'git'... ok.

Checking 'file'... ok.

Checking 'ldconfig-stub'... ok.

Checking 'node'... failed.

Checking 'npm'... failed.

Build dependency: Please install the GNU C Compiler (gcc) 4.8 or later

Build dependency: Please install the GNU C++ Compiler (g++) 4.8 or later

Build dependency: Please install the 'nodejs' package

Build dependency: Please install the 'npm' package

/root/RUTX_R/include/prereq.mk:12: recipe for target 'prereq' failed

Prerequisite check failed. Use FORCE=1 to override.

/root/RUTX_R/include/toplevel.mk:180: recipe for target 'staging_dir/host/.prereq-build' failed

make: *** [staging_dir/host/.prereq-build] Error 1

Any clues?

2 Answers

0 votes
by anonymous

FYI. I installed Ubuntu 20.04 

sudo apt update
sudo apt install build-essential ccache ecj fastjar file g++ gawk \
gettext git java-propose-classpath libelf-dev libncurses5-dev \
libncursesw5-dev libssl-dev python python2.7-dev python3 unzip wget \
python3-distutils python3-setuptools python3-dev rsync subversion \
swig time xsltproc zlib1g-dev 

and manually

apt-get install nodejs npm

and now it seems to work - I hope, compiling now :)

Felix

by anonymous
Failed :

make -r world: build failed. Please re-run make with -j1 V=s or V=sc for a higher verbosity level to see what's going on

make: *** [/home/felixn/rutos-ipq40xx-rutx-gpl/include/toplevel.mk:231: world] Error 1
0 votes
by anonymous

FYI.

If i move these folder away from "packages" all compiles...

package/teltonika/coova-chilli

package/teltonika/easycwmp

package/teltonika/shellinabox

Any feedback?

Felix

by anonymous